package com.njyunzhi.invoice.entity;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 报销明细模板
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ExcelIgnoreUnannotated
@ApiModel(value="TaInvoiceDetailTpl对象", description="报销明细模板")
public class TaInvoiceDetailTpl implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "明细ID")
    @TableId(value = "detail_id", type = IdType.INPUT)
    private String detailId;

    @ApiModelProperty(value = "报销ID")
    private String invoiceId;

    @ApiModelProperty(value = "人员ID")
    private String invoicePersonId;

    @ApiModelProperty(value = "映射人员ID")
    private String personId;

    @ExcelProperty(index = 1)
    @ApiModelProperty(value = "人员名称")
    private String personName;

    @ApiModelProperty(value = "开票单位ID")
    private String invoiceOrgId;

    @ApiModelProperty(value = "开票单位名称")
    private String invoiceOrgName;

    @ApiModelProperty(value = "所属单位ID")
    private String orgId;

    @ExcelProperty(index = 2)
    @ApiModelProperty(value = "单位名称")
    private String orgName;

    @ExcelProperty(index = 3)
    @ApiModelProperty(value = "税号")
    private String taxNo;

    @ExcelProperty(index = 4)
    @ApiModelProperty(value = "地址")
    private String address;

    @ExcelProperty(index = 5)
    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "银行ID")
    private String bankId;

    @ExcelProperty(index = 6)
    @ApiModelProperty(value = "银行名称")
    private String bankName;

    @ExcelProperty(index = 7)
    @ApiModelProperty(value = "开户行账号")
    private String cardNo;

    @ApiModelProperty(value = "报销项目ID")
    private Integer invoiceItemTplId;

    @ExcelProperty(index = 8)
    @ApiModelProperty(value = "报销项目")
    private String itemName;

    @ExcelProperty(index = 9)
    @ApiModelProperty(value = "开票金额")
    private String charge;

    @ExcelProperty(index = 10)
    @ApiModelProperty(value = "合开备注")
    private String mergeRemark;

    @ExcelProperty(index = 11)
    @ApiModelProperty(value = "住宿清单")
    private String stayRemark;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;

    @ApiModelProperty("是否结束")
    @TableField(exist = false)
    private Boolean isFinished;
}
