package com.njyunzhi.invoice.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 报销项目
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaInvoiceItem对象", description="报销项目")
public class TaInvoiceItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "项目ID")
    @TableId(value = "invoice_item_id", type = IdType.AUTO)
    private Integer invoiceItemId;

    @ApiModelProperty(value = "报销人员ID")
    private String invoicePersonId;

    @ApiModelProperty(value = "报销ID")
    private String invoiceId;

    @ApiModelProperty(value = "项目名称")
    private String name;

    @ApiModelProperty(value = "开票额")
    private Integer charge;

    @ApiModelProperty(value = "合开备注")
    private String mergeRemark;

    @ApiModelProperty(value = "住宿清单")
    private String stayRemark;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;
}
