package com.njyunzhi.invoice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 报销单位
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaInvoiceOrg对象", description="报销单位")
public class TaInvoiceOrg implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "单位ID")
    @TableId(value = "invoice_org_id", type = IdType.ASSIGN_UUID)
    private String invoiceOrgId;

    @ApiModelProperty(value = "班级ID")
    private String invoiceId;

    @ApiModelProperty(value = "映射ID")
    private String orgId;

    @ApiModelProperty(value = "单位抬头")
    private String name;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


}
