package com.njyunzhi.invoice.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.invoice.entity.TaInvoiceDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.invoice.entity.TaInvoiceDetailTpl;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报销明细 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Mapper
public interface TaInvoiceDetailMapper extends BaseMapper<TaInvoiceDetail> {

    int createBatch(@Param("invoiceId") String invoiceId);

    TaInvoiceDetail getByPerson(@Param("invoiceId") String invoiceId, @Param("personId") String personId);

    List<TaInvoiceDetail> getListByMainId(@Param("invoiceId") String invoiceId);

    int updatePerson(@Param("invoiceId") String invoiceId, @Param("invoicePersonId") String invoicePersonId, @Param("personId") String personId);

    IPage<TaInvoiceDetail> getTplPageBy(IPage<TaInvoiceDetail> pg, @Param("invoiceId") String invoiceId);

    int removeTplById(@Param("id") String id);

    IPage<TaInvoiceDetail> getPersonPage(IPage<TaInvoiceDetail> page,
                                         @Param("invoiceId") String invoiceId,
                                         @Param("personId") String personId,
                                         @Param("personName") String personName);

    TaInvoiceDetail getTplByPerson(@Param("invoiceId") String invoiceId, @Param("invoicePersonId") String invoicePersonId);

    IPage<TaInvoiceDetail> getPageBy(IPage<TaInvoiceDetail> pg,
                                     @Param("invoiceId") String invoiceId,
                                     @Param("orgName") String orgName,
                                     @Param("personName") String personName);
}
