package com.njyunzhi.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.invoice.entity.TaInvoiceDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njyunzhi.invoice.entity.TaInvoiceDetailTpl;
import com.njyunzhi.invoice.entity.TaInvoiceItem;

import java.util.List;

/**
 * <p>
 * 报销明细 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
public interface ITaInvoiceDetailService extends IService<TaInvoiceDetail> {

    boolean createBatch(String invoiceId) throws Exception;

    TaInvoiceDetail getByPerson(String invoiceId, String personId);

    List<TaInvoiceDetail> getListByMainId(String invoiceId);

    IPage<TaInvoiceDetail> getTplPageBy(IPage<TaInvoiceDetail> pg, String invoiceId);

    TaInvoiceDetail getTplByPerson(String invoiceId, String invoicePersonId);

    IPage<TaInvoiceDetail> getPersonPage(IPage<TaInvoiceDetail> page, String invoiceId, String personId, String personName);

    boolean createOrMergeInvoiceDetail(TaInvoiceDetail taInvoiceDetail);

    boolean createOrUpdateItem(TaInvoiceItem taInvoiceItem) throws Exception;

    boolean deleteItem(String invoiceId, Integer itemId);

    IPage<TaInvoiceDetail> getPageBy(IPage<TaInvoiceDetail> pg, String invoiceId, String orgName, String personName);
}
