package com.njyunzhi.invoice.service.impl;

import com.njyunzhi.invoice.common.EncryptUtils;
import com.njyunzhi.invoice.entity.SysUser;
import com.njyunzhi.invoice.mapper.SysUserMapper;
import com.njyunzhi.invoice.service.ISysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njyunzhi.invoice.vo.LoginParm;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 系统用户 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Override
    public SysUser getByLoginID(String userName) {
        return baseMapper.getByLoginID(userName);
    }

    @Override
    public SysUser login(LoginParm loginParm) throws Exception {
        SysUser sysUser = baseMapper.getByLoginID(loginParm.getUserName());
        if (null == sysUser) {
            throw new Exception("用户名或者密码不正确");
        }

        boolean isRight = checkPassword(loginParm.getPassword(), sysUser.getPassword(), sysUser.getUserId());
        if (!isRight) {
            throw new Exception("用户名或者密码不正确");
        }

        sysUser.setPassword(null);
        return sysUser;
    }

    boolean checkPassword(String src, String targ, String salt) {
        String newPass = EncryptUtils.md5(src, salt);
        return targ.equals(newPass);
    }
}
