package com.njyunzhi.invoice.service.impl;

import com.njyunzhi.invoice.common.Constants;
import com.njyunzhi.invoice.common.DateUtils;
import com.njyunzhi.invoice.entity.TaInvoiceOrg;
import com.njyunzhi.invoice.entity.TaInvoicePerson;
import com.njyunzhi.invoice.mapper.TaInvoiceOrgMapper;
import com.njyunzhi.invoice.service.ITaInvoiceOrgService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 报销单位 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Service
public class TaInvoiceOrgServiceImpl extends BaseServiceImpl<TaInvoiceOrgMapper, TaInvoiceOrg> implements ITaInvoiceOrgService {

    @Override
    public TaInvoiceOrg getByOrgName(String invoiceId, String orgName) {
        return baseMapper.getByInvoiceAndOrgName(invoiceId, orgName);
    }

    @Override
    public TaInvoiceOrg createByPerson(TaInvoicePerson taInvoicePerson) {
        TaInvoiceOrg taInvoiceOrg = new TaInvoiceOrg();
        taInvoiceOrg.setName(taInvoicePerson.getOrgName());
        taInvoiceOrg.setStatus(Constants.STATUS_NORMAL);
        taInvoiceOrg.setCreateDate(DateUtils.now());

        save(taInvoiceOrg);
        return taInvoiceOrg;
    }
}
